#!/bin/bash

# Set failfast
set -e
set -o pipefail

WORKFLOW_DIR=/lustre/aoc/cluster/pipeline/"$CAPO_PROFILE"/workspaces/sbin

# Build PEX files
cd /packages/apps/cli/executables/pexable
for d in * ; do
  cd "${d}"

  # Try building PEX file until it succeeds
  if [ -e setup.py ]; then
    until python3 setup.py bdist_pex --bdist-all --bdist-dir="$WORKFLOW_DIR" --pex-args="--python-shebang /home/ssa/bin/python3.8"; do
      echo "PEX build failed. Retrying."; sleep 2;
    done
  else
    echo "PEX build impossible in $PWD because there is no setup.py file"
  fi

  cd ..
done

# Return to base /code directory
cd /code

# Start pserve normally
pserve --reload development.ini
